%global momorel 4
%global udev_scriptdir /lib/udev
ExcludeArch: s390 s390x

%global dbus_version	1.1
%global dbus_glib_version 0.74-3
%global hal_version 0.5.0

%global gtk2_version	2.12.0
%global wireless_tools_version 29
%global libnl_version 1.1
%global ppp_version 2.2.4

%define snapshot .git20090708
%define applet_snapshot .git20090708

Name: NetworkManager
Summary: Network connection manager and user applications
Version: 0.8.1
Release: %{momorel}m%{?dist}
Group: System Environment/Base
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/
Source: http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/0.8/%{name}-%{version}.tar.gz
NoSource: 0
Source1: http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.8/network-manager-applet-%{version}.tar.gz
NoSource: 1
#Source: %{name}-%{version}%{snapshot}.tar.bz2
#Source1: network-manager-applet-%{version}%{applet_snapshot}.tar.bz2
Source2: nm-system-settings.conf
Patch1: nm-applet-internal-buildfixes.patch
Patch2: explain-dns1-dns2.patch
Patch3: nm-applet-no-notifications.patch
Patch4: NetworkManager-0.8.1-nullpo-ga.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre,preun):   chkconfig
Requires(pre,preun):   initscripts
Requires: wireless-tools >= %{wireless_tools_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: hal >= %{hal_version}
Requires: iproute openssl
Requires: dhclient >= 3.0.2-12
Requires: wpa_supplicant >= 0.5.7-21
Requires: libnl >= %{libnl_version}
Requires: %{name}-glib = %{version}-%{release}
Requires: ppp >= %{ppp_version}
Requires: avahi
Requires: dnsmasq
Requires: mobile-broadband-provider-info
Requires: ModemManager
Obsoletes: dhcdbd

BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: wireless-tools-devel >= %{wireless_tools_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: glib2-devel gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: openssl-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: wpa_supplicant
BuildRequires: libnl-devel >= %{libnl_version}
BuildRequires: libnotify-devel >= 0.3
BuildRequires: perl-XML-Parser >= 2.34-9m
BuildRequires: automake autoconf intltool libtool
BuildRequires: ppp-devel >= 2.4.4
BuildRequires: gnome-common
BuildRequires: nss-devel >= 3.11
BuildRequires: desktop-file-utils
BuildRequires: PolicyKit-devel PolicyKit-gnome-devel
BuildRequires: dhclient

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.

%package devel
Summary: Libraries and headers for adding NetworkManager support to applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: pkgconfig

%description devel
This package contains various headers accessing some NetworkManager functionality
from applications.

%package gnome
Summary: GNOME applications for use with NetworkManager
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: gnome-panel
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: hal >= %{hal_version}
Requires: libnotify >= 0.4
Requires(pre,preun):  gtk2 >= %{gtk2_version}
Requires: gnome-keyring
Requires: nss >= 3.11
Requires: gnome-icon-theme

%description gnome
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%package glib
Summary: Libraries for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}

%description glib
This package contains the libraries that make it easier to use some NetworkManager
functionality from applications that use glib.


%package glib-devel
Summary: Header files for adding NetworkManager support to applications that use glib.
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig

%description glib-devel
This package contains the header and pkg-config files for development applications using
NetworkManager functionality from applications that use glib.


%prep
%setup -q

# unpack the applet
tar -xzf %{SOURCE1}

%patch1 -p1 -b .buildfix
%patch2 -p1 -b .explain-dns1-dns2
%patch3 -p1 -b .no-notifications
%patch4 -p1 -b .nullpo

%build
gtkdocize --copy
# Even though we don't require named, we still build with it
# so that if the user installs it, NM will use it automatically
autoreconf -if

%configure \
	--disable-static \
	--with-distro=redhat \
	--with-dhclient=yes \
	--with-dhcpcd=no \
	--with-crypto=nss \
	--enable-more-warnings=yes \
	--with-docs=yes \
	--with-system-ca-path=/etc/pki/tls/certs \
	--with-tests=yes \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}

%make


# build the applet
pushd network-manager-applet-*
  autoreconf -i
  intltoolize --force
  %configure \
    --disable-static --enable-more-warnings=yes
  %make
popd
 
%install
%{__rm} -rf %{buildroot}

# install NM
make install DESTDIR=%{buildroot} initddir=%{_initscriptdir}

%{__cp} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/

# install the applet
pushd network-manager-applet-*
  make install DESTDIR=%{buildroot}
popd

# create a VPN directory
%{__mkdir_p} %{buildroot}%{_sysconfdir}/NetworkManager/VPN

%find_lang %{name}
%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang

%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_libdir}/pppd/%{ppp_version}/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/gnome-bluetooth/plugins/*.la

install -m 0755 test/.libs/nm-online %{buildroot}/%{_bindir}

# KDE uses NetworkManager-gnome                    
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-only-show-in GNOME \
  %{buildroot}%{_datadir}/applications/nm-connection-editor.desktop

%clean
%{__rm} -rf %{buildroot}


%post
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add NetworkManager
	/sbin/chkconfig NetworkManager resetpriorities
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service NetworkManager stop >/dev/null 2>&1
    killall -TERM nm-system-settings >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManager
fi

%triggerun -- NetworkManager < 0.7.0-0.6
     /sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
     /sbin/chkconfig --del NetworkManagerDispatcher
     exit 0

%post   glib -p /sbin/ldconfig
%postun glib -p /sbin/ldconfig

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  if [ -f "%{_sysconfdir}/gconf/schemas/nm-applet.schemas" ]; then
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/nm-applet.schemas >/dev/null
  fi
fi

%post gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
if [ -f "%{_sysconfdir}/gconf/schemas/nm-applet.schemas" ]; then
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/nm-applet.schemas >/dev/null
fi

%postun gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
%{_sysconfdir}/dbus-1/system.d/NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%config %{_sysconfdir}/init.d/NetworkManager
%{_sbindir}/%{name}
%{_sysconfdir}/NetworkManager/nm-system-settings.conf
%dir %{_sysconfdir}/NetworkManager/VPN
%{_bindir}/nmcli
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd.action
%{_libexecdir}/nm-dispatcher.action
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%dir %{_localstatedir}/run/NetworkManager
%{_prefix}/libexec/nm-crash-logger
%dir %{_datadir}/NetworkManager
%{_datadir}/NetworkManager/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_libdir}/pppd/%{ppp_version}/nm-pppd-plugin.so
%{_datadir}/polkit-1/actions/*.policy
%{udev_scriptdir}/rules.d/*.rules


%files devel
%defattr(-,root,root,0755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/NetworkManagerVPN.h
%{_libdir}/pkgconfig/%{name}.pc

%files gnome
%defattr(-,root,root,0755)
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_datadir}/applications/*.desktop
%{_datadir}/nm-applet/
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_sysconfdir}/gconf/schemas/nm-applet.schemas
%{_libdir}/gnome-bluetooth/plugins/*

%files glib
%defattr(-,root,root,0755)
%{_libdir}/libnm-glib.so.*
%{_libdir}/libnm-glib-vpn.so.*
%{_libdir}/libnm-util.so.*

%files glib-devel
%defattr(-,root,root,0755)
%dir %{_includedir}/libnm-glib
%{_includedir}/libnm-glib/*.h
%{_includedir}/%{name}/nm-*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-glib.so
%{_libdir}/libnm-glib-vpn.so
%{_libdir}/libnm-util.so
%dir %{_datadir}/gtk-doc/html/libnm-glib
%{_datadir}/gtk-doc/html/libnm-glib/*
%dir %{_datadir}/gtk-doc/html/libnm-util
%{_datadir}/gtk-doc/html/libnm-util/*


%changelog
* Tue Aug 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-3m)
- add patch4 (check NULL)

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-3m)
- full rebuild for mo7 release

* Sun Jul 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-2m)
- remove Obsoletes: knetworkmanager

* Fri Jul 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.1-1m)
- update 0.8.1

* Tue Jun 29 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.0.999-1m)
- update 0.8.0.999

* Thu Jun  3 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0.998-2m)
- Requires: ModemManager, mobile-broadband-provider-info

* Mon May 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0.998-1m)
- update 0.8.0.998

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8-2m)
- rebuild against perl-5.12.1

* Mon Apr  5 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-1m)
- update 0.8

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-2m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy

* Fri Nov 27 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.2-1m)
- update 0.7.2 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-6m)
- remove Requires: bind >= %%{bind_version}
-- nm does not require bind since version 0.6.4

* Sun Jul 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-5m)
- modify nm-applet.desktop and nm-connection-editor.desktop to use them on KDE

* Sat Jul 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.1-4m)
- update ja.po

* Sat Jul 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.1-3m)
- update 20090708-snapshot
-- fix: Edit Connection tool crash

* Sat Jun  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-2m)
- release %%{_sysconfdir}/NetworkManager, it's provided by initscripts
- PreReq: initscripts

* Tue Apr 14 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.1-1m)
- update 0.7.1

* Tue Apr  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0.100-1m)
- update 0.7.0.100(0.7.1-RC4)

* Mon Mar  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0.99-2m)
- rebuild against glib2 >= 2.19.8
-- remove -fno-strict-aliasing workaround for gcc44
- License: GPLv2+

* Mon Mar  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0.99-1m)
- [SECURITY] CVE-2009-0365 CVE-2009-0578
- update 0.7.0.99

* Mon Mar  2 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0.98-1m)
- update 0.7.0.98

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-3m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-2m)
- rebuild against rpm-4.6

* Sun Dec 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0-1m)
- update 0.7.0-release

* Sun Nov 23 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0-0.svn4326.1m)
- update svn4326

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0-0.svn4022.1m)
- update svn4022

* Sun Aug 17 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.0-0.svn3846.2m)
- nm-system-settings.conf should be placed in %%{_sysconfdir}/NetworkManager/

* Sat Jul 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0-0.svn3846.1m)
- update svn3846, applet-svn798
- change version number 

* Fri May 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.0-0.9.3.svn3675.2m)
- remove nm-applet.desktop from tray of KDE
- knetworkmanager returns

* Fri May 30 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.9.3.svn3675.1m)
- update svn3675, applet-svn727

* Sat May 10 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.0-0.9.3.svn3623.1m)
- sync Fedora

* Sat May 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.6m)
- update svn3623, applet-svn709

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.0-0.5m)
- rebuild against gcc43

* Mon Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.4m)
- fix gcc-4.2 build
-- add no-strict-aliasing.patch

* Fri Feb  8 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.3m)
- fix Req Packages

* Fri Feb  8 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.2m)
- fix NetworkManager-glib epoch

* Wed Feb  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-0.1m)
- libnl was only support NetworkManager-developmet

* Mon Dec 17 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.6.5-5m)
- rebuild against wireless-tools-29-1m

* Sat Aug 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.5-4m)
- move start up script from %%{_initrddir} to %%{_initscriptdir} again

* Sat Aug 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-3m)
- delete duplicated files

* Sat Aug 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-2m)
- sync Fedora (Not GNOME Source!!!)

* Wed May 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- update to 0.6.5

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.4-4m)
- move initddir from /etc/rc.d/init.d to /etc/init.d

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-3m)
- add patch4 for dbus-1.0.2

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- use hal-0.5.7 (SATA does not work)

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-5m)
- rebuild against dbus 0.92
- add patch3

* Wed Aug 30 2006 TABUCHI Takaaki<tab@momonga-linux.org>
- (0.6.0-4m)
- add BuildRequires: perl-XML-Parser >= 2.34-9m
  rebuild against expat-2.0.0-1m

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.6.0-3m)
- rebuild against expat-2.0.0-1m

* Mon May 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- revise %%file (conflict)

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.0-1m)
- version up
- based on fc-devel

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.3-0.20050119.6m)
- rebuild against dbus-0.61

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.3-0.20050119.5m)
- rebuild against openssl-0.9.8a

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-0.20050119.4m)
- BuildPreReq: libgcrypt-devel >= 1.2.2-2m

* Sat Dec 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.3-0.20050119.3m)
- add Patch0

* Sun Oct 30 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.3-0.20050119.2m)
- rebuild against dbus-0.50
- add Patch0 to follow definition changes in dbus-0.50

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.3.3-0.20050119.1m)
- sync with FC3 updates (0.3.3-1.cvs20050119.2.fc3).

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.3.1-1m)
- import from FC3.

* Fri Oct 29 2004 <dcbw@redhat.com> - 0.3.1-3
- #rh137047# lots of applets, yay!

* Tue Oct 26 2004 <dcbw@redhat.com> - 0.3.1-2
- Fix escaping of ESSIDs in gconf

* Tue Oct 19 2004  <jrb@redhat.com> - 0.3.1-1
- minor point release to improve error handling and translations

* Fri Oct 15 2004 Dan Williams <dcbw@redhat.com> 0.3-1
- Update from CVS, version 0.3

* Tue Oct 12 2004 Dan Williams <dcbw@redhat.com> 0.2-4
- Update from CVS
- Improvements:
	o Better link checking on wireless cards
	o Panel applet now a Notification Area icon
	o Static IP configuration support

* Mon Sep 13 2004 Dan Williams <dcbw@redhat.com> 0.2-3
- Update from CVS

* Sat Sep 11 2004 Dan Williams <dcbw@redhat.com> 0.2-2
- Require gnome-panel, not gnome-panel-devel
- Turn off by default

* Thu Aug 26 2004 Dan Williams <dcbw@redhat.com> 0.2-1
- Update to 0.2

* Thu Aug 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- spec-changes to req glib2 instead of glib

* Fri Aug 20 2004 Dan Williams <dcbw@redhat.com> 0.1-3
- First public release

